Description

Immutable is an edit type right now.

I think it would be better to have this as an option for each edit type.

Therefore we could have a frozen combobox or calendar or whatever.

History

#1 - 2012-10-23 05:53 AM - Nathan Woodrow

What would you gain by having this?

#2 - 2012-10-23 05:59 AM - Denis Rouzaud

If you don't want the end-user to modify the entry but still see what it corresponds to.

It would be very useful for value-relation, and for checkboxes.

If you have a view with a calculated status (true/false), you want to display it as a checkbox but don't want the user to change it.

I think it would not require that much of changes, but would be great !

#3 - 2013-03-04 10:58 PM - Denis Rouzaud

should be solved by https://github.com/qgis/Quantum-GIS/pull/455

#4 - 2013-03-15 12:48 AM - Denis Rouzaud

has been merged, this issue should be closed

#5 - 2013-03-15 02:57 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
